/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)libm:i386/fabs.c	1.2"
#ident	"@(#)fabs.c	2.1 - 87/04/17"
/*LINTLIBRARY*/
/*
 *	fabs returns the absolute value of its double-precision argument.
 */

asm	double xfabs(x)
{
%mem	x;
	fldl	x
	fabs
}

double
fabs(x)
double x;
{
	return(xfabs(x));
}
